// https://github.com/tetsufmbio/d3-force-3d-md v1.0.5 Copyright 2023 Tetsu Sakamoto
!function(n,t){"object"==typeof exports&&"undefined"!=typeof module?t(exports,require("d3-binarytree"),require("d3-quadtree"),require("d3-octree"),require("d3-dispatch"),require("d3-timer")):"function"==typeof define&&define.amd?define(["exports","d3-binarytree","d3-quadtree","d3-octree","d3-dispatch","d3-timer"],t):t((n="undefined"!=typeof globalThis?globalThis:n||self).d3=n.d3||{},n.d3,n.d3,n.d3,n.d3,n.d3)}(this,(function(n,t,e,r,a,s){"use strict";function i(n){return function(){return n}}function o(n){return 1e-6*(n()-.5)}function f(n){return n.x+n.vx}function u(n){return n.y+n.vy}function c(n){return n.z+n.vz}function l(n){return n.index}function h(n,t){var e=n.get(t);if(!e)throw new Error("node not found: "+t);return e}const m=1664525,y=1013904223,v=4294967296;function d(n){return n.x}function x(n){return n.y}function g(n){return n.z}var z=Math.PI*(3-Math.sqrt(5)),M=20*Math.PI/(9+Math.sqrt(221));const p={H:{mass:1.00797},He:{mass:4.0026},Li:{mass:6.941},Be:{mass:9.01218},B:{mass:10.81},C:{mass:12.011,DEFAULT:{},A:{},C:{},D:{},E1:{},E2:{},P1:{},P2:{},P3:{},PH1:{},PH2:{},PT:{},S:{},T1:{},T2:{},T3:{},Y:{}},N:{mass:14.0067},O:{mass:15.9994},F:{mass:18.998403},Ne:{mass:20.179},Na:{mass:22.98977},Mg:{mass:24.305},Al:{mass:26.98154},Si:{mass:28.0855},P:{mass:30.97376},S:{mass:32.06},Cl:{mass:35.453},K:{mass:39.0983},Ar:{mass:39.948,DEFAULT:{sigma:3.405,epsilon:.238}},Ca:{mass:40.08},Sc:{mass:44.9559},Ti:{mass:47.9},V:{mass:50.9415},Cr:{mass:51.996},Mn:{mass:54.938},Fe:{mass:55.847},Ni:{mass:58.7},Co:{mass:58.9332},Cu:{mass:63.546},Zn:{mass:65.38},Ga:{mass:69.72},Ge:{mass:72.59},As:{mass:74.9216},Se:{mass:78.96},Br:{mass:79.904},Kr:{mass:83.8},Rb:{mass:85.4678},Sr:{mass:87.62},Y:{mass:88.9059},Zr:{mass:91.22},Nb:{mass:92.9064},Mo:{mass:95.94},Tc:{mass:98},Ru:{mass:101.07},Rh:{mass:102.9055},Pd:{mass:106.4},Ag:{mass:107.868},Cd:{mass:112.41},In:{mass:114.82},Sn:{mass:118.69},Sb:{mass:121.75},I:{mass:126.9045},Te:{mass:127.6},Xe:{mass:131.3},Cs:{mass:132.9054},Ba:{mass:137.33},La:{mass:138.9055},Ce:{mass:140.12},Pr:{mass:140.9077},Nd:{mass:144.24},Pm:{mass:145},Sm:{mass:150.4},Eu:{mass:151.96},Gd:{mass:157.25},Tb:{mass:158.9254},Dy:{mass:162.5},Ho:{mass:164.9304},Er:{mass:167.26},Tm:{mass:168.9342},Yb:{mass:173.04},Lu:{mass:174.967},Hf:{mass:178.49},Ta:{mass:180.9479},W:{mass:183.85},Re:{mass:186.207},Os:{mass:190.2},Ir:{mass:192.22},Pt:{mass:195.09},Au:{mass:196.9665},Hg:{mass:200.59},Tl:{mass:204.37},Pb:{mass:207.2},Bi:{mass:208.9804},Po:{mass:209},At:{mass:210},Rn:{mass:222},Fr:{mass:223},Ra:{mass:226.0254},Ac:{mass:227.0278},Pa:{mass:231.0359},Th:{mass:232.0381},Np:{mass:237.0482},U:{mass:238.029},Pu:{mass:242},Am:{mass:243},Bk:{mass:247},Cm:{mass:247},No:{mass:250},Cf:{mass:251},Es:{mass:252},Hs:{mass:255},Mt:{mass:256},Fm:{mass:257},Md:{mass:258},Lr:{mass:260},Rf:{mass:261},Bh:{mass:262},Db:{mass:262},Sg:{mass:263},Uun:{mass:269},Uuu:{mass:272},Uub:{mass:277}};n.forceCenter=function(n,t,e){var r,a=1;function s(){var s,i,o=r.length,f=0,u=0,c=0;for(s=0;s<o;++s)f+=(i=r[s]).x||0,u+=i.y||0,c+=i.z||0;for(f=(f/o-n)*a,u=(u/o-t)*a,c=(c/o-e)*a,s=0;s<o;++s)i=r[s],f&&(i.x-=f),u&&(i.y-=u),c&&(i.z-=c)}return null==n&&(n=0),null==t&&(t=0),null==e&&(e=0),s.initialize=function(n){r=n},s.x=function(t){return arguments.length?(n=+t,s):n},s.y=function(n){return arguments.length?(t=+n,s):t},s.z=function(n){return arguments.length?(e=+n,s):e},s.strength=function(n){return arguments.length?(a=+n,s):a},s},n.forceCollide=function(n){var a,s,l,h,m=1,y=1;function v(){for(var n,i,v,x,g,z,M,p,N=a.length,w=0;w<y;++w)for(i=(1===s?t.binarytree(a,f):2===s?e.quadtree(a,f,u):3===s?r.octree(a,f,u,c):null).visitAfter(d),n=0;n<N;++n)v=a[n],M=l[v.index],p=M*M,x=v.x+v.vx,s>1&&(g=v.y+v.vy),s>2&&(z=v.z+v.vz),i.visit(A);function A(n,t,e,r,a,i,f){var u=[t,e,r,a,i,f],c=u[0],l=u[1],y=u[2],d=u[s],N=u[s+1],w=u[s+2],A=n.data,q=n.r,_=M+q;if(!A)return c>x+_||d<x-_||s>1&&(l>g+_||N<g-_)||s>2&&(y>z+_||w<z-_);if(A.index>v.index){var b=x-A.x-A.vx,P=s>1?g-A.y-A.vy:0,T=s>2?z-A.z-A.vz:0,C=b*b+P*P+T*T;C<_*_&&(0===b&&(C+=(b=o(h))*b),s>1&&0===P&&(C+=(P=o(h))*P),s>2&&0===T&&(C+=(T=o(h))*T),C=(_-(C=Math.sqrt(C)))/C*m,v.vx+=(b*=C)*(_=(q*=q)/(p+q)),s>1&&(v.vy+=(P*=C)*_),s>2&&(v.vz+=(T*=C)*_),A.vx-=b*(_=1-_),s>1&&(A.vy-=P*_),s>2&&(A.vz-=T*_))}}}function d(n){if(n.data)return n.r=l[n.data.index];for(var t=n.r=0;t<Math.pow(2,s);++t)n[t]&&n[t].r>n.r&&(n.r=n[t].r)}function x(){if(a){var t,e,r=a.length;for(l=new Array(r),t=0;t<r;++t)e=a[t],l[e.index]=+n(e,t,a)}}return"function"!=typeof n&&(n=i(null==n?1:+n)),v.initialize=function(n,...t){a=n,h=t.find((n=>"function"==typeof n))||Math.random,s=t.find((n=>[1,2,3].includes(n)))||2,x()},v.iterations=function(n){return arguments.length?(y=+n,v):y},v.strength=function(n){return arguments.length?(m=+n,v):m},v.radius=function(t){return arguments.length?(n="function"==typeof t?t:i(+t),x(),v):n},v},n.forceLennardJones=function(){var n,a,s,f,u,c,l=i(1),h=.75,m=1/0,y=.0625,v=12,z=6;function M(i){var o,f=n.length,c=(1===a?t.binarytree(n,d):2===a?e.quadtree(n,d,x):3===a?r.octree(n,d,x,g):null).visitAfter(w);for(u=i,o=0;o<f;++o)(s=n[o]).energy=-1,c.visit(A)}function N(){if(n){var t,e,r=n.length;for(c=new Array(r),t=0;t<r;++t)e=n[t],c[e.index]=+l(e,t,n);z==v&&(v+=1)}}function w(n){var t,e,r,s,i,o,f=0,u=0,l=n.length;if(l){for(r=s=i=o=0;o<l;++o)(t=n[o])&&(e=Math.abs(t.value))&&(f+=t.value,u+=e,r+=e*(t.x||0),s+=e*(t.y||0),i+=e*(t.z||0));f*=Math.sqrt(4/l),n.x=r/u,a>1&&(n.y=s/u),a>2&&(n.z=i/u)}else{(t=n).x=t.data.x,a>1&&(t.y=t.data.y),a>2&&(t.z=t.data.z);do{f+=c[t.data.index]}while(t=t.next)}n.value=f}function A(n,t,e,r,i){if(n.name=s.name,!n.value)return!0;var l,d=[e,r,i][a-1],x=n.x-s.x,g=a>1?n.y-s.y:0,M=a>2?n.z-s.z:0,N=d-t,w=x*x+g*g+M*M;if(N*N/y<w){if(w<m){0===x&&(w+=(x=o(f))*x),a>1&&0===g&&(w+=(g=o(f))*g),a>2&&0===M&&(w+=(M=o(f))*M),w<h&&(w=Math.sqrt(h*w));const t=s.type||"DEFAULT",e=Math.sqrt(w),r=(p[s.name][t].sigma+p[n.name][t].sigma)/2;l=4*(4*p[s.name][t].epsilon)*(v*Math.pow(r/e,v)-z*Math.pow(r/e,z))/e,s.energy+=(v*Math.pow(w,-z/2)-z*Math.pow(w,-v/2))/(z-v)*n.value,s.force_x+=l*x*n.value*u,a>1&&(s.force_y+=l*g*n.value*u),a>2&&(s.force_z+=l*M*n.value*u)}return!0}if(n.length||w>=m)return;(n.data!==s||n.next)&&(0===x&&(w+=(x=o(f))*x),a>1&&0===g&&(w+=(g=o(f))*g),a>2&&0===M&&(w+=(M=o(f))*M),w<h&&(w=Math.sqrt(h*w)));const A=s.type||"DEFAULT",q=Math.sqrt(w),_=(p[s.name][A].sigma+p[n.name][A].sigma)/2;l=4*(4*p[s.name][A].epsilon)*(v*Math.pow(_/q,v)-z*Math.pow(_/q,z))/q;do{n.data!==s&&(N=c[n.data.index],s.energy+=(v*Math.pow(w,-z/2)-z*Math.pow(w,-v/2))/(z-v)*N,s.force_x+=l*x*N*u,a>1&&(s.force_y+=l*g*N*u),a>2&&(s.force_z+=l*M*N*u))}while(n=n.next)}return M.initialize=function(t,...e){n=t,f=e.find((n=>"function"==typeof n))||Math.random,a=e.find((n=>[1,2,3].includes(n)))||2,N()},M.strength=function(n){return arguments.length?(l="function"==typeof n?n:i(+n),N(),M):l},M.distanceMin=function(n){return arguments.length?(h=n*n,M):Math.sqrt(h)},M.distanceMax=function(n){return arguments.length?(m=n*n,M):Math.sqrt(m)},M.theta=function(n){return arguments.length?(y=n*n,M):Math.sqrt(y)},M.repulsivePower=function(n){return arguments.length?(v=n,M):v},M.attractivePower=function(n){return arguments.length?(z=n,M):z},M},n.forceLink=function(n){var t,e,r,a,s,f,u,c=l,m=function(n){return 1/Math.min(s[n.source.index],s[n.target.index])},y=i(30),v=1;function d(r){for(var s=0,i=n.length;s<v;++s)for(var c,l,h,m,y,d=0,x=0,g=0,z=0;d<i;++d)l=(c=n[d]).source,x=(h=c.target).x+h.vx-l.x-l.vx||o(u),a>1&&(g=h.y+h.vy-l.y-l.vy||o(u)),a>2&&(z=h.z+h.vz-l.z-l.vz||o(u)),x*=m=((m=Math.sqrt(x*x+g*g+z*z))-e[d])/m*r*t[d],g*=m,z*=m,h.vx-=x*(y=f[d]),a>1&&(h.vy-=g*y),a>2&&(h.vz-=z*y),l.vx+=x*(y=1-y),a>1&&(l.vy+=g*y),a>2&&(l.vz+=z*y)}function x(){if(r){var a,i,o=r.length,u=n.length,l=new Map(r.map(((n,t)=>[c(n,t,r),n])));for(a=0,s=new Array(o);a<u;++a)(i=n[a]).index=a,"object"!=typeof i.source&&(i.source=h(l,i.source)),"object"!=typeof i.target&&(i.target=h(l,i.target)),s[i.source.index]=(s[i.source.index]||0)+1,s[i.target.index]=(s[i.target.index]||0)+1;for(a=0,f=new Array(u);a<u;++a)i=n[a],f[a]=s[i.source.index]/(s[i.source.index]+s[i.target.index]);t=new Array(u),g(),e=new Array(u),z()}}function g(){if(r)for(var e=0,a=n.length;e<a;++e)t[e]=+m(n[e],e,n)}function z(){if(r)for(var t=0,a=n.length;t<a;++t)e[t]=+y(n[t],t,n)}return null==n&&(n=[]),d.initialize=function(n,...t){r=n,u=t.find((n=>"function"==typeof n))||Math.random,a=t.find((n=>[1,2,3].includes(n)))||2,x()},d.links=function(t){return arguments.length?(n=t,x(),d):n},d.id=function(n){return arguments.length?(c=n,d):c},d.iterations=function(n){return arguments.length?(v=+n,d):v},d.strength=function(n){return arguments.length?(m="function"==typeof n?n:i(+n),g(),d):m},d.distance=function(n){return arguments.length?(y="function"==typeof n?n:i(+n),z(),d):y},d},n.forceManyBody=function(){var n,a,s,f,u,c,l=i(-30),h=1,m=1/0,y=.81;function v(i){var o,f=n.length,c=(1===a?t.binarytree(n,d):2===a?e.quadtree(n,d,x):3===a?r.octree(n,d,x,g):null).visitAfter(M);for(u=i,o=0;o<f;++o)s=n[o],c.visit(p)}function z(){if(n){var t,e,r=n.length;for(c=new Array(r),t=0;t<r;++t)e=n[t],c[e.index]=+l(e,t,n)}}function M(n){var t,e,r,s,i,o,f=0,u=0,l=n.length;if(l){for(r=s=i=o=0;o<l;++o)(t=n[o])&&(e=Math.abs(t.value))&&(f+=t.value,u+=e,r+=e*(t.x||0),s+=e*(t.y||0),i+=e*(t.z||0));f*=Math.sqrt(4/l),n.x=r/u,a>1&&(n.y=s/u),a>2&&(n.z=i/u)}else{(t=n).x=t.data.x,a>1&&(t.y=t.data.y),a>2&&(t.z=t.data.z);do{f+=c[t.data.index]}while(t=t.next)}n.value=f}function p(n,t,e,r,i){if(!n.value)return!0;var l=[e,r,i][a-1],v=n.x-s.x,d=a>1?n.y-s.y:0,x=a>2?n.z-s.z:0,g=l-t,z=v*v+d*d+x*x;if(g*g/y<z)return z<m&&(0===v&&(z+=(v=o(f))*v),a>1&&0===d&&(z+=(d=o(f))*d),a>2&&0===x&&(z+=(x=o(f))*x),z<h&&(z=Math.sqrt(h*z)),s.vx+=v*n.value*u/z,a>1&&(s.vy+=d*n.value*u/z),a>2&&(s.vz+=x*n.value*u/z)),!0;if(!(n.length||z>=m)){(n.data!==s||n.next)&&(0===v&&(z+=(v=o(f))*v),a>1&&0===d&&(z+=(d=o(f))*d),a>2&&0===x&&(z+=(x=o(f))*x),z<h&&(z=Math.sqrt(h*z)));do{n.data!==s&&(g=c[n.data.index]*u/z,s.vx+=v*g,a>1&&(s.vy+=d*g),a>2&&(s.vz+=x*g))}while(n=n.next)}}return v.initialize=function(t,...e){n=t,f=e.find((n=>"function"==typeof n))||Math.random,a=e.find((n=>[1,2,3].includes(n)))||2,z()},v.strength=function(n){return arguments.length?(l="function"==typeof n?n:i(+n),z(),v):l},v.distanceMin=function(n){return arguments.length?(h=n*n,v):Math.sqrt(h)},v.distanceMax=function(n){return arguments.length?(m=n*n,v):Math.sqrt(m)},v.theta=function(n){return arguments.length?(y=n*n,v):Math.sqrt(y)},v},n.forceRadial=function(n,t,e,r){var a,s,o,f,u=i(.1);function c(n){for(var i=0,u=a.length;i<u;++i){var c=a[i],l=c.x-t||1e-6,h=(c.y||0)-e||1e-6,m=(c.z||0)-r||1e-6,y=Math.sqrt(l*l+h*h+m*m),v=(f[i]-y)*o[i]*n/y;c.vx+=l*v,s>1&&(c.vy+=h*v),s>2&&(c.vz+=m*v)}}function l(){if(a){var t,e=a.length;for(o=new Array(e),f=new Array(e),t=0;t<e;++t)f[t]=+n(a[t],t,a),o[t]=isNaN(f[t])?0:+u(a[t],t,a)}}return"function"!=typeof n&&(n=i(+n)),null==t&&(t=0),null==e&&(e=0),null==r&&(r=0),c.initialize=function(n,...t){a=n,s=t.find((n=>[1,2,3].includes(n)))||2,l()},c.strength=function(n){return arguments.length?(u="function"==typeof n?n:i(+n),l(),c):u},c.radius=function(t){return arguments.length?(n="function"==typeof t?t:i(+t),l(),c):n},c.x=function(n){return arguments.length?(t=+n,c):t},c.y=function(n){return arguments.length?(e=+n,c):e},c.z=function(n){return arguments.length?(r=+n,c):r},c},n.forceSimulation=function(n,t){t=t||2;var e,r=Math.min(3,Math.max(1,Math.round(t))),i=1,o=1,f=.001,u=1-Math.pow(f,1/300),c=0,l=.6,h=new Map,d=s.timer(p),x=a.dispatch("tick","end"),g=function(){let n=1;return()=>(n=(m*n+y)%v)/v}();function p(){N(),x.call("tick",e),o<f&&(d.stop(),x.call("end",e))}function N(t){var a,s,f=n.length;void 0===t&&(t=1);for(var m=0;m<t;++m){for(o+=(c-o)*u,a=0;a<f;++a)null==(s=n[a]).fx?s.vx+=.5*s.force_x*i/s.mass:(s.vx=0,s.force_x=0,s.x=s.fx),r>1&&(null==s.fy?s.vy+=.5*s.force_y*i/s.mass:(s.vy=0,s.force_y=0,s.y=s.fy)),r>2&&(null==s.fz?s.vz+=.5*s.force_z*i/s.mass:(s.vz=0,s.force_z=0,s.z=s.fz));for(a=0;a<f;++a)null==(s=n[a]).fx?s.x+=i*(s.vx*=l):s.x=s.fx,r>1&&(null==s.fy?s.y+=i*(s.vy*=l):s.y=s.fy),r>2&&(null==s.fz?s.z+=i*(s.vz*=l):s.z=s.fz);for(s.force_x=s.force_y=s.force_z=0,h.forEach((function(n){n(o)})),a=0;a<f;++a)null==(s=n[a]).fx?s.vx+=.5*s.force_x*i/s.mass:(s.vx=0,s.force_x=0,s.x=s.fx),r>1&&(null==s.fy?s.vy+=.5*s.force_y*i/s.mass:(s.vy=0,s.force_y=0,s.y=s.fy)),r>2&&(null==s.fz?s.vz+=.5*s.force_z*i/s.mass:(s.vz=0,s.force_z=0,s.z=s.fz))}return e}function w(){for(var t,e=0,a=n.length;e<a;++e){if((t=n[e]).index=e,null!=t.fx&&(t.x=t.fx),null!=t.fy&&(t.y=t.fy),null!=t.fz&&(t.z=t.fz),isNaN(t.x)||r>1&&isNaN(t.y)||r>2&&isNaN(t.z)){var s=10*(r>2?Math.cbrt(.5+e):r>1?Math.sqrt(.5+e):e),i=e*z,o=e*M;1===r?t.x=s:2===r?(t.x=s*Math.cos(i),t.y=s*Math.sin(i)):(t.x=s*Math.sin(i)*Math.cos(o),t.y=s*Math.cos(i),t.z=s*Math.sin(i)*Math.sin(o))}(isNaN(t.vx)||r>1&&isNaN(t.vy)||r>2&&isNaN(t.vz))&&(t.vx=0,r>1&&(t.vy=0),r>2&&(t.vz=0)),(isNaN(t.force_x)||r>1&&isNaN(t.force_y)||r>2&&isNaN(t.force_z))&&(t.force_x=0,r>1&&(t.force_y=0),r>2&&(t.force_z=0)),isNaN(t.mass)&&(t.mass=1)}}function A(t){return t.initialize&&t.initialize(n,g,r),t}return null==n&&(n=[]),w(),e={tick:N,restart:function(){return d.restart(p),e},stop:function(){return d.stop(),e},numDimensions:function(n){return arguments.length?(r=Math.min(3,Math.max(1,Math.round(n))),h.forEach(A),e):r},nodes:function(t){return arguments.length?(n=t,w(),h.forEach(A),e):n},alpha:function(n){return arguments.length?(o=+n,e):o},alphaMin:function(n){return arguments.length?(f=+n,e):f},dt:function(n){return arguments.length?(i=+n,e):i},alphaDecay:function(n){return arguments.length?(u=+n,e):+u},alphaTarget:function(n){return arguments.length?(c=+n,e):c},velocityDecay:function(n){return arguments.length?(l=1-n,e):1-l},randomSource:function(n){return arguments.length?(g=n,h.forEach(A),e):g},force:function(n,t){return arguments.length>1?(null==t?h.delete(n):h.set(n,A(t)),e):h.get(n)},find:function(){var t,e,a,s,i,o,f=Array.prototype.slice.call(arguments),u=f.shift()||0,c=(r>1?f.shift():null)||0,l=(r>2?f.shift():null)||0,h=f.shift()||1/0,m=0,y=n.length;for(h*=h,m=0;m<y;++m)(s=(t=u-(i=n[m]).x)*t+(e=c-(i.y||0))*e+(a=l-(i.z||0))*a)<h&&(o=i,h=s);return o},on:function(n,t){return arguments.length>1?(x.on(n,t),e):x.on(n)}}},n.forceX=function(n){var t,e,r,a=i(.1);function s(n){for(var a,s=0,i=t.length;s<i;++s)(a=t[s]).vx+=(r[s]-a.x)*e[s]*n}function o(){if(t){var s,i=t.length;for(e=new Array(i),r=new Array(i),s=0;s<i;++s)e[s]=isNaN(r[s]=+n(t[s],s,t))?0:+a(t[s],s,t)}}return"function"!=typeof n&&(n=i(null==n?0:+n)),s.initialize=function(n){t=n,o()},s.strength=function(n){return arguments.length?(a="function"==typeof n?n:i(+n),o(),s):a},s.x=function(t){return arguments.length?(n="function"==typeof t?t:i(+t),o(),s):n},s},n.forceY=function(n){var t,e,r,a=i(.1);function s(n){for(var a,s=0,i=t.length;s<i;++s)(a=t[s]).vy+=(r[s]-a.y)*e[s]*n}function o(){if(t){var s,i=t.length;for(e=new Array(i),r=new Array(i),s=0;s<i;++s)e[s]=isNaN(r[s]=+n(t[s],s,t))?0:+a(t[s],s,t)}}return"function"!=typeof n&&(n=i(null==n?0:+n)),s.initialize=function(n){t=n,o()},s.strength=function(n){return arguments.length?(a="function"==typeof n?n:i(+n),o(),s):a},s.y=function(t){return arguments.length?(n="function"==typeof t?t:i(+t),o(),s):n},s},n.forceZ=function(n){var t,e,r,a=i(.1);function s(n){for(var a,s=0,i=t.length;s<i;++s)(a=t[s]).vz+=(r[s]-a.z)*e[s]*n}function o(){if(t){var s,i=t.length;for(e=new Array(i),r=new Array(i),s=0;s<i;++s)e[s]=isNaN(r[s]=+n(t[s],s,t))?0:+a(t[s],s,t)}}return"function"!=typeof n&&(n=i(null==n?0:+n)),s.initialize=function(n){t=n,o()},s.strength=function(n){return arguments.length?(a="function"==typeof n?n:i(+n),o(),s):a},s.z=function(t){return arguments.length?(n="function"==typeof t?t:i(+t),o(),s):n},s},Object.defineProperty(n,"__esModule",{value:!0})}));
